import { reactive, ref, UnwrapRef } from "vue";
import { FormState } from "./interface";

export function handleForm() {
    const formRef = ref();
    const formState: UnwrapRef<FormState> = reactive({
        url: '',
        remark: ''
    })
    const rules = {
        url: [{ message: '请上传附件', trigger: 'change', }],
    }
    return { rules, formState, formRef }
}